%define upstream_name    B-Debug
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Walk Perl syntax tree, printing debug info about ops
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(deprecate) >= 0.30.0
BuildRequires: perl-devel
BuildArch:  noarch
Obsoletes:  perl-B-Debug < 1.230.0-2

%description
See _ext/B/README_ and the newer the B::Concise manpage, the B::Terse
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.260.0-3.mga8
+ Revision: 1503474
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.260.0-2.mga7
+ Revision: 1281837
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 1.260.0-1.mga7
+ Revision: 1181956
- update to 1.26

* Mon Oct 02 2017 tv <tv> 1.250.0-2.mga7
+ Revision: 1163156
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.250.0-1.mga7
+ Revision: 1155917
- update to 1.25

* Sat Jun 18 2016 pterjan <pterjan> 1.230.0-4.mga6
+ Revision: 1022693
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.230.0-3.mga6
+ Revision: 970231
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 1.230.0-2.mga6
+ Revision: 885345
- Convert to noarch package

* Mon Jun 29 2015 sander85 <sander85> 1.230.0-1.mga6
+ Revision: 847930
- update to 1.23

* Wed Oct 15 2014 umeabot <umeabot> 1.210.0-3.mga5
+ Revision: 746923
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.210.0-2.mga5
+ Revision: 683583
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 1.210.0-1.mga5
+ Revision: 660478
- update to 1.21

* Tue Aug 05 2014 sander85 <sander85> 1.200.0-1.mga5
+ Revision: 659780
- update to 1.20

* Fri Feb 07 2014 sander85 <sander85> 1.190.0-1.mga5
+ Revision: 585620
- update to 1.19

* Sat Oct 19 2013 umeabot <umeabot> 1.180.0-6.mga4
+ Revision: 525250
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.180.0-5.mga4
+ Revision: 432687
- rebuild for new perl

* Wed Mar 27 2013 jquelin <jquelin> 1.180.0-4.mga3
+ Revision: 405456
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-3.mga3
+ Revision: 363288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.180.0-2.mga3
+ Revision: 315522
- perl 5.16.2 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 1.180.0-1.mga3
+ Revision: 284578
- update to 1.18

* Sat Nov 26 2011 kharec <kharec> 1.170.0-1.mga2
+ Revision: 172076
- update to 1.17

* Fri Feb 18 2011 jquelin <jquelin> 1.160.0-2.mga1
+ Revision: 53571
- rebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.160.0-1.mga1
+ Revision: 23193
- cleaning spec file
- imported package perl-B-Debug

